Orxonox: Tcl::object Class Reference

# Tcl::object Class Reference

`#include <src/cpptcl/cpptcl.h>`

List of all members.

## Public Member Functions

object & | append (interpreter &i, object const &o)
object & | append_list (interpreter &i, object const &o)
object & | assign (Tcl_Obj *o)
object & | assign (object const &o)
object & | assign (std::string const &s)
object & | assign (char const *s)
object & | assign (long l)
template<class InputIterator>
object & | assign (InputIterator first, InputIterator last)
object & | assign (int i)
object & | assign (double d)
object & | assign (char const *buf, size_t size)
object & | assign (bool b)
object | at (interpreter &i, size_t index) const
char const * | get (size_t &size) const
char const * | get () const
template<typename T>
T | get (interpreter &i) const
Tcl_Interp * | get_interp () const
Tcl_Obj * | get_object () const
size_t | length (interpreter &i) const
| object (object const &other, bool shared=false)
| object (Tcl_Obj *o, bool shared=false)
| object (std::string const &s)
| object (char const *s)
| object (long i)
template<class InputIterator>
| object (InputIterator first, InputIterator last)
| object (int i)
| object (double b)
| object (char const *buf, size_t size)
| object (bool b)
| object ()
object & | operator= (object const &o)
object & | operator= (std::string const &s)
object & | operator= (char const *s)
object & | operator= (long l)
object & | operator= (int i)
object & | operator= (double d)
object & | operator= (bool b)
object & | replace (interpreter &i, size_t index, size_t count, object const &o)
template<class InputIterator>
object & | replace (interpreter &i, size_t index, size_t count, InputIterator first, InputIterator last)
object & | replace_list (interpreter &i, size_t index, size_t count, object const &o)
object & | resize (size_t size)
void | set_interp (Tcl_Interp *interp)
object & | swap (object &other)
| ~object ()

## Static Public Member Functions

template<class InputIterator>
static void | fill_vector (std::vector< Tcl_Obj * > &v, InputIterator first, InputIterator last)

## Private Member Functions

void | init (Tcl_Obj *o, bool shared)

## Private Attributes

Tcl_Interp * | interp_
Tcl_Obj * | obj_

## Constructor & Destructor Documentation

object::object | ( |  | ) |

References obj_.

Referenced by assign(), and at().

object::object | ( | bool | b | ) | `[explicit]`

References obj_.

object::object | ( | char const * | buf,
|  | size_t | size |
| ) |  |  |

References obj_.

object::object | ( | double | b | ) | `[explicit]`

References obj_.

object::object | ( | int | i | ) | `[explicit]`

References obj_.

template<class InputIterator>

Tcl::object::object | ( | InputIterator | first,
|  | InputIterator | last |
| ) |  |  | `[inline]`

object::object | ( | long | i | ) | `[explicit]`

References obj_.

object::object | ( | char const * | s | ) | `[explicit]`

References obj_.

object::object | ( | std::string const & | s | ) | `[explicit]`

References obj_.

object::object | ( | Tcl_Obj * | o,
|  | bool | shared = `false` |
| ) |  |  | `[explicit]`

References init().

object::object | ( | object const & | other,
|  | bool | shared = `false` |
| ) |  |  |

References init(), and obj_.

object::~object | ( |  | ) |

References obj_.

## Member Function Documentation

object & object::append | ( | interpreter & | i,
|  | object const & | o |
| ) |  |  |

References Tcl::interpreter::get(), and obj_.

object & object::append_list | ( | interpreter & | i,
|  | object const & | o |
| ) |  |  |

References Tcl::interpreter::get(), and obj_.

object & object::assign | ( | Tcl_Obj * | o | ) |

References object().

object & object::assign | ( | object const & | o | ) |

References object().

object & object::assign | ( | std::string const & | s | ) |

References obj_.

object & object::assign | ( | char const * | s | ) |

References obj_.

object & object::assign | ( | long | l | ) |

References obj_.

template<class InputIterator>

object& Tcl::object::assign | ( | InputIterator | first,
|  | InputIterator | last |
| ) |  |  | `[inline]`

object & object::assign | ( | int | i | ) |

References obj_.

object & object::assign | ( | double | d | ) |

References obj_.

object & object::assign | ( | char const * | buf,
|  | size_t | size |
| ) |  |  |

References obj_.

object & object::assign | ( | bool | b | ) |

References obj_.

Referenced by Tcl::details::get_var_params().

object object::at | ( | interpreter & | i,
|  | size_t | index |
| ) |  |  | const

References Tcl::interpreter::get(), obj_, and object().

template<class InputIterator>

static void Tcl::object::fill_vector | ( | std::vector< Tcl_Obj * > & | v,
|  | InputIterator | first,
|  | InputIterator | last |
| ) |  |  | `[inline, static]`

Referenced by Tcl::details::callback9< R, T1, T2, T3, T4, T5, T6, T7, T8, T9 >::invoke().

char const * object::get | ( | size_t & | size | ) | const

References obj_.

char const * object::get | ( |  | ) | const

References obj_.

char const * Tcl::object::get< char const * > | ( | interpreter & | i | ) | const`[inline]`

Referenced by orxonox::IRC::tcl_action(), orxonox::TclThreadManager::tcl_crossquery(), orxonox::TclThreadManager::tcl_execute(), orxonox::TclBind::tcl_execute(), orxonox::IRC::tcl_info(), orxonox::IRC::tcl_privmsg(), orxonox::TclThreadManager::tcl_query(), orxonox::TclBind::tcl_query(), and orxonox::IRC::tcl_say().

Tcl_Interp * object::get_interp | ( |  | ) | const

References interp_.

Tcl_Obj* Tcl::object::get_object | ( |  | ) | const`[inline]`

Referenced by Tcl::interpreter::eval(), and Tcl::details::set_result().

void object::init | ( | Tcl_Obj * | o,
|  | bool | shared |
| ) |  |  | `[private]`

References obj_.

Referenced by object().

size_t object::length | ( | interpreter & | i | ) | const

References Tcl::interpreter::get(), and obj_.

object& Tcl::object::operator= | ( | object const & | o | ) | `[inline]`

object& Tcl::object::operator= | ( | std::string const & | s | ) | `[inline]`

object& Tcl::object::operator= | ( | char const * | s | ) | `[inline]`

object& Tcl::object::operator= | ( | long | l | ) | `[inline]`

object& Tcl::object::operator= | ( | int | i | ) | `[inline]`

object& Tcl::object::operator= | ( | double | d | ) | `[inline]`

object& Tcl::object::operator= | ( | bool | b | ) | `[inline]`

object & object::replace | ( | interpreter & | i,
|  | size_t | index,
|  | size_t | count,
|  | object const & | o |
| ) |  |  |

References Tcl::interpreter::get(), and obj_.

template<class InputIterator>

object& Tcl::object::replace | ( | interpreter & | i,
|  | size_t | index,
|  | size_t | count,
|  | InputIterator | first,
|  | InputIterator | last |
| ) |  |  | `[inline]`

object & object::replace_list | ( | interpreter & | i,
|  | size_t | index,
|  | size_t | count,
|  | object const & | o |
| ) |  |  |

References Tcl::interpreter::get(), and obj_.

object & object::resize | ( | size_t | size | ) |

References obj_.

void object::set_interp | ( | Tcl_Interp * | interp | ) |

References interp_.

Referenced by Tcl::details::tcl_cast< object >::from(), and Tcl::details::get_var_params().

object & object::swap | ( | object & | other | ) |

References interp_, and obj_.

## Member Data Documentation

Tcl_Interp* Tcl::object::interp_`[private]`

Referenced by get_interp(), set_interp(), and swap().

Tcl_Obj* Tcl::object::obj_`[private]`

Referenced by append(), append_list(), assign(), at(), get(), init(), length(), object(), replace(), replace_list(), resize(), swap(), and ~object().

The documentation for this class was generated from the following files:

- src/cpptcl/cpptcl.h
- src/cpptcl/cpptcl.cc